Subject: Re: bug#75292: 31.0.50; igc: (file-error "Doing vfork" "Bad address")

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Jan 2025 21:47:23 +0200

> Cc: [email-masked]
> Date: Fri, 03 Jan 2025 18:24:47 +0000
> From:  Pip Cet via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> The most likely candidate right now is make_environment_block, which
> happily stuffs string data pointers into an xmalloc'd block and goes
> about its merry way without letting GC know about them.   I think it
> would cause the problem you observed, but haven't managed to reproduce
> it yet.  If I manage to do so, I'll push a fix.

Please be sure to show the patch before you push, and please explain
the problem you found and the fix.

This is a delicate area, so we must discuss any changes before they
are installed.

Thanks.